# SingleSigSpendingCondition | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- SingleSigSpendingCondition

## Index

### Properties

- fee
- hashMode
- keyEncoding
- nonce
- signature
- signer

## Properties

### fee

fee: BigNum

- Defined in packages/transactions/src/authorization.ts:140

### hashMode

hashMode: SingleSigHashMode

- Defined in packages/transactions/src/authorization.ts:137

### keyEncoding

keyEncoding: PubKeyEncoding

- Defined in packages/transactions/src/authorization.ts:141

### nonce

nonce: BigNum

- Defined in packages/transactions/src/authorization.ts:139

### signature

signature: MessageSignature

- Defined in packages/transactions/src/authorization.ts:142

### signer

signer: string

- Defined in packages/transactions/src/authorization.ts:138

Generated using TypeDoc